# predictAgeAndGender | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Function predictAgeAndGender

- predictAgeAndGender(input: any): Promise< AgeAndGenderPrediction | AgeAndGenderPrediction []>

- Predicts age and gender from a face image.

  ### Returns

  Predictions with age, gender and gender probability or array thereof in case of batch input.

  #### Parameters

  - ##### input: any

  #### Returns Promise< AgeAndGenderPrediction | AgeAndGenderPrediction []>

  - Defined in globalApi/nets.ts:103